#ifndef CCMIO_TEST_MESHCCMIO_H
#define CCMIO_TEST_MESHCCMIO_H

#include <Mesh.h>
#include <ccmio.h>

class MeshCCMIO : public Mesh {
 public:
    MeshCCMIO( const char* filename );
    MeshCCMIO( const char* filename, CCMIOID& vertices, CCMIOID& topology );

    void PrintInterfaces();

 private:
    struct Interface {
	unsigned int face1;
	unsigned int face2;
    };
    std::vector<Interface> interfaces;

    void ReadMesh( CCMIOID& vertices, CCMIOID& topology );
    void Allocate( CCMIOID& vertices, CCMIOID& topology );
};

#endif /* CCMIO_TEST_MESHCCMIO_H */
